#!/bin/sh
#
# $FreeBSD: head/ftp/proftpd/files/proftpd.in 378282 2015-02-01 22:25:50Z mm $
#

# PROVIDE: proftpd
# REQUIRE: DAEMON
# BEFORE: LOGIN
# KEYWORD: shutdown

#
# Add the following lines to /etc/rc.conf to enable proftpd:
#
# proftpd_enable="YES"
# proftpd_flags="<set as needed>"
#
# See proftpd(8) for flags
#

. /etc/rc.subr

name=proftpd
rcvar=proftpd_enable

load_rc_config $name

: ${proftpd_enable:="NO"}
: ${proftpd_config:="%%PREFIX%%/etc/proftpd.conf"}

command=%%PREFIX%%/sbin/proftpd
command_args="-c ${proftpd_config}"
pidfile=$(grep PidFile ${proftpd_config} | awk '{print($2)}')
required_files=${proftpd_config}

extra_commands="reload"
stop_postcmd=stop_postcmd
stop_postcmd()
{
  rm -f $pidfile
}

run_rc_command "$1"
